Package Details: lib32-libusb-compat 0.1.7-4

Git Clone URL: https://aur.archlinux.org/lib32-libusb-compat.git (read-only, click to copy)
Package Base: lib32-libusb-compat
Description: Library to enable user space application programs to communicate with USB devices (32 bit)
Upstream URL: https://libusb.info/
Licenses: LGPL
Submitter: lordheavy
Maintainer: morgenstern
Last Packager: morgenstern
Votes: 91
Popularity: 0.50
First Submitted: 2012-02-08 20:35
Last Updated: 2021-07-21 12:11

Latest Comments

1 2 3 Next › Last »

morgenstern commented on 2021-07-24 09:29

@7thSon no, there is no problem. However, the checksum for the source package has changed, so I am not surprised that your previously downloaded copy did not pass the validity check. Please do a clean re-build of the package.

7thSon commented on 2021-07-24 08:20

There seems to be a problem with a checksum since the latest update:

==> Making package: lib32-libusb-compat 0.1.7-4 (Sat 24 Jul 2021 10:16:40 AM CEST)
==> Retrieving sources...
  -> Found lib32-libusb-compat-0.1.7.tar.gz
==> Validating source files with sha256sums...
    lib32-libusb-compat-0.1.7.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!

AndTer99 commented on 2021-07-21 13:02

@morgenstern I'm not sure what did it, but I found what I suppose was the cached (and maybe partially downloaded) copy of the package in /var/tmp/pamac-build. I deleted it and now the installation works. Thanks for the help :)

morgenstern commented on 2021-07-21 09:51

@AndTer99 can you confirm that you have the base-devel group installed?

At any rate, I have updated the PKGBUILD to use a source that already includes the configure script.

AndTer99 commented on 2021-07-20 21:35

@morgenstern I am on Manjaro, I use Pamac to install from the AUR. I tried to install with makepkg but it still didn't work. Also, NOCONFIGURE seems to be set, according to the PKGBUILD file:

[...]
prepare() {
    cd ${_pkgbase}-${_pkgbasever}-${pkgver}
    NOCONFIGURE=1 ./autogen.sh
}
[...]

morgenstern commented on 2021-07-20 20:51

@AndTer99 looks like whatever build tools you are using are not setting NOCONFIGURE=1 in the prepare() function. I am able to build the package without issue in a clean chroot.

Do you get the same error if building directly using makepkg?

AndTer99 commented on 2021-07-20 12:57

I am unable to install. The error is:

==> Starting prepare()...
libtoolize: putting auxiliary files in '.'.
libtoolize: copying file './ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: copying file 'm4/libtool.m4'
libtoolize: copying file 'm4/ltoptions.m4'
libtoolize: copying file 'm4/ltsugar.m4'
libtoolize: copying file 'm4/ltversion.m4'
libtoolize: copying file 'm4/lt~obsolete.m4'
./autogen.sh: line 6: ./configure: No such file or directory
==> ERROR: A failure occurred in prepare().
    Aborting...

morgenstern commented on 2021-05-01 22:58

@sbmomeni updated, thanks.

sbmomeni commented on 2021-04-30 15:16

Please add the libusb-compat package to the dependencies array (so .h files are provided too).

RobertPlant commented on 2016-07-27 08:47

Thanks - This package helped me write a scb file to a keyboard using Soarers converter